<?php

namespace App\Http\Controllers;

use App\Models\Unit;
use App\Models\User;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Log;



class RegisterController extends Controller
{
        public function coba()
    {
        return view('admin.pages.insert_data');
    }
    public function jarak()
    {
        return view('admin.pages.jarak');
    }
    public function kawedanan()
    {
        return view('admin.pages.kawedanan');
    }
    public function klampisan_atas()
    {
        return view('admin.pages.klampisan_atas');
    }
    public function Induk_pressure()
    {
        return view('admin.pages.Induk_pressure');
    }
    public function klampisan_bawah()
    {
        return view('admin.pages.klampisan_bawah');
    }
    public function month_klampisan_bawah()
    {
        return view('admin.pages.month_klampisan_bawah');
    }
    public function week_klampisan_bawah()
    {
        return view('admin.pages.week_klampisan_bawah');
    }
    public function day_klampisan_bawah()
    {
        return view('admin.pages.day_klampisan_bawah');
    }
    public function month_klampisan_atas()
    {
        return view('admin.pages.month_klampisan_atas');
    }
    public function week_klampisan_atas()
    {
        return view('admin.pages.week_klampisan_atas');
    }
    public function day_klampisan_atas()
    {
        return view('admin.pages.day_klampisan_atas');
    }
    public function Gandul()
    {
        return view('admin.pages.Gandul');
    }
    public function month_Gandul()
    {
        return view('admin.pages.month_Gandul');
    }
    public function week_Gandul()
    {
        return view('admin.pages.week_Gandul');
    }
    public function day_Gandul()
    {
        return view('admin.pages.day_Gandul');
    }

    public function Bauresan()
    {
        return view('admin.pages.Bauresan');
    }
    public function month_Bauresan()
    {
        return view('admin.pages.month_Bauresan');
    }
    public function week_Bauresan()
    {
        return view('admin.pages.week_Bauresan');
    }
    public function day_Bauresan()
    {
        return view('admin.pages.day_Bauresan');
    }


    public function Bakalan()
    {
        return view('admin.pages.Bakalan');
    }
    public function month_Bakalan()
    {
        return view('admin.pages.month_Bakalan');
    }
    public function week_Bakalan()
    {
        return view('admin.pages.week_Bakalan');
    }
    public function day_Bakalan()
    {
        return view('admin.pages.day_Bakalan');
    }

    public function Grobog()
    {
        return view('admin.pages.Grobog');
    }
    public function month_Grobog()
    {
        return view('admin.pages.month_Grobog');
    }
    public function week_Grobog()
    {
        return view('admin.pages.week_Grobog');
    }
    public function day_Grobog()
    {
        return view('admin.pages.day_Grobog');
    }

    public function Induk()
    {
        return view('admin.pages.Induk');
    }
    public function month_Induk()
    {
        return view('admin.pages.month_Induk');
    }
    public function week_Induk()
    {
        return view('admin.pages.week_Induk');
    }
    public function day_Induk()
    {
        return view('admin.pages.day_Induk');
    }



    public function index()
    {
        $units = Unit::all();
        return view('admin.pages.register', compact('units'));
    }
    public function store(Request $request)
    {
        $validated = $request->validate([
            'name' => 'required',
            'email' => 'required|email|unique:users',
            'password' => 'required|min:6',
            'role' => 'required',
            'unit_id' => 'required|integer',
        ]);
        Log::info('Validated data:', $validated);
           try {
            User::create([
                'name' => $request->name,
                'email' => $request->email,
                'password' => bcrypt($request->password),
                'role' => $request->role,
                'unit_id' => $request->unit_id,
            ]);
            Log::info('User created successfully:', [
                'name' => $request->name,
                'email' => $request->email,
            ]);
        } catch (\Exception $e) {
            Log::error('Error creating user:', ['error' => $e->getMessage()]);
        }
        return to_route('dashboard');
    }







}
