<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class UserDevice extends Model
{
    use HasFactory;

    public $fillable = [
        'user_id',
        'device_names',
    ];

    public $casts = [
        'user_id' => 'integer',
        'device_names' => 'json',
    ];

    function user()
    {
        return $this->belongsTo(User::class);
    }
}
