@extends('admin.layout.main')
@section('content')
    <main id="main" class="main">
        <div class="pagetitle">
            <h1>Beranda</h1>
            <nav>
                <ol class="breadcrumb">
                    <li class="breadcrumb-item active"><a href="{{route ('dashboard')}}">Beranda</a></li> </ol>
            </nav>
        </div>
        <section class="section dashboard">
            <div class="row">
                <div class="col-lg-12">
                    <div class="row">
                        @foreach ($data as $item)
                            <div class="col-lg-4 col-md-6 col-12">
                                <a href="{{ route('admin.pages.unit', $item) }}" style="text-decoration: none;">
                                    <div class="card info-card sales-card">
                                        <div class="card-body">
                                            <h5 class="card-title">{{ ucwords($item) }}</h5>

                                            <div class="d-flex align-items-center">
                                                <div
                                                    class="card-icon rounded-circle d-flex align-items-center justify-content-center">
                                                    <i class="bi bi-droplet-half"></i>
                                                </div>
                                                <div class="ps-3">
                                                    <h6>Bak Air</h6>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </a>
                            </div>
                        @endforeach
                    </div>
                </div>
            </div>
        </section>
    </main>
@endsection
