<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <title>Halaman Masuk</title>
    <link rel="icon" href="{{ asset ('assets/logo.jpg')}}" type="image/x-icon">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/normalize/5.0.0/normalize.min.css">
    <link rel='stylesheet' href='//maxcdn.bootstrapcdn.com/font-awesome/4.3.0/css/font-awesome.min.css'>
    <link rel="stylesheet" href="{{ asset('assets/style.css')}}">
</head>

<body>
    <div class="login-box">
        <div class="lb-header">
            <a href="#" class="active" id="login-box-link">Masuk ke akun Anda!!</a>
        </div>
        
        <form action="{{route('login-proses')}}" class="email-login" method="post">
            @csrf
            <div class="u-form-group">
                <input type="email" name="email" placeholder="Email" />
                
            </div>
            @error('email')
                <small>{{$message}}</small>
                @enderror
            <div class="u-form-group">
                <input type="password" name="password" placeholder="Password" />
                
            </div>
            @error('password')
                <small>{{$message}}</small>
                @enderror
            <div class="u-form-group">
                <button>Masuk</button>
            </div>
            <div class="u-form-group">
                <a href="{{ route('gantisandi') }}" class="forgot-password">Lupa Katasandi?</a>
            </div>
        </form>
    </div>
    <script src="https://cdn.jsdelivr.net/npm/sweetalert2@11"></script>
    <script src='//cdnjs.cloudflare.com/ajax/libs/jquery/2.1.3/jquery.min.js'></script>
    <script src="{{ asset ('assets/script.js') }}"></script>

    @if($message = Session::get('failed'))
      <script>
        Swal.fire('{{$message}}');
      </script>
    @endif

    @if($message = Session::get('succes'))
      <script>
        Swal.fire('{{$message}}');
      </script>
    @endif
</body>

</html>
