<?php

namespace Database\Seeders;

use Illuminate\Database\Seeder;
use Illuminate\Support\Facades\Hash;
use App\Models\User;

class UsersSeeder extends Seeder
{
    public function run()
    {
        User::create([
            'name' => 'admin',
            'email' => 'enggarsusmita@gmail.com',
            'role' => 'admin',
            'unit' => 'Unit Pengguna',
            'email_verified_at' => null,
            'password' => Hash::make('enggar123'),
            'remember_token' => null,
            'created_at' => now(),
            'updated_at' => now(),
        ]);
    }
}

